Package org.zkoss.bind.sys

## Interface Binding

- All Known Subinterfaces:
    `ChildrenBinding`, `CommandBinding`, `FormBinding`, `InitChildrenBinding`, `InitFormBinding`, `InitPropertyBinding`, `LoadBinding`, `LoadChildrenBinding`, `LoadFormBinding`, `LoadPropertyBinding`, `LoadTemplateBinding`, `PropertyBinding`, `ReferenceBinding`, `SaveBinding`, `SaveFormBinding`, `SavePropertyBinding`
  All Known Implementing Classes:
    `BindingImpl`, `ChildrenBindingImpl`, `ClientSaveFormBindingImpl`, `ClientSavePropertyBindingImpl`, `CommandBindingImpl`, `FormBindingImpl`, `IndirectBinding`, `InitChildrenBindingImpl`, `InitFormBindingImpl`, `InitPropertyBindingImpl`, `LoadChildrenBindingImpl`, `LoadFormBindingImpl`, `LoadPropertyBindingImpl`, `LoadTemplateBindingImpl`, `PropertyBindingImpl`, `ReferenceBindingImpl`, `SaveFormBindingImpl`, `SavePropertyBindingImpl`

      public interface Binding

  A Binding represent a relation between a source object (usually an UI component) and a target object(usually a backing bean).
  Since:
    6.0.0
  Author:
    henrichen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getArgs()` | Returns an argument `<tags, object>` pairs map(read only).
    `Binder` | `getBinder()` | Returns the owner binder of this binding.
    `Component` | `getComponent()` | Returns the associated component of this binding.

- - ### Method Detail

    - #### getBinder

          Binder getBinder()

      Returns the owner binder of this binding.
      Returns:
        the owner binder of this binding.

    - #### getComponent

          Component getComponent()

      Returns the associated component of this binding.
      Returns:
        the associated component of this binding.

    - #### getArgs

          java.util.Map<java.lang.String,​java.lang.Object> getArgs()

      Returns an argument `<tags, object>` pairs map(read only).
      Returns:
        an argument `<tags, object>` pairs map(read only).